Bug 2210213 - [abrt] gnome-calculator: g_hash_table_lookup_node(): gnome-calculator killed by SIGSEGV
Summary: [abrt] gnome-calculator: g_hash_table_lookup_node(): gnome-calculator killed ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libsoup3
Version: 38
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact:
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4493f6fa410b901fe6f41b54828...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-05-26 06:09 UTC by West Storm
Modified: 2023-09-15 18:40 UTC (History)
7 users (show)

Fixed In Version: libsoup3-3.4.2-4.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-09-01 01:29:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: proc_pid_status (1.39 KB, text/plain)
2023-05-26 06:09 UTC, West Storm
no flags Details
File: maps (3.99 KB, text/plain)
2023-05-26 06:09 UTC, West Storm
no flags Details
File: limits (1.29 KB, text/plain)
2023-05-26 06:09 UTC, West Storm
no flags Details
File: open_fds (1.63 KB, text/plain)
2023-05-26 06:09 UTC, West Storm
no flags Details
File: os_info (734 bytes, text/plain)
2023-05-26 06:09 UTC, West Storm
no flags Details
File: cpuinfo (2.91 KB, text/plain)
2023-05-26 06:09 UTC, West Storm
no flags Details
File: core_backtrace (25.18 KB, text/plain)
2023-05-26 06:09 UTC, West Storm
no flags Details
File: exploitable (117 bytes, text/plain)
2023-05-26 06:10 UTC, West Storm
no flags Details
File: dso_list (648 bytes, text/plain)
2023-05-26 06:10 UTC, West Storm
no flags Details
File: backtrace (94.09 KB, text/plain)
2023-05-26 06:10 UTC, West Storm
no flags Details
File: mountinfo (3.67 KB, text/plain)
2023-05-26 06:10 UTC, West Storm
no flags Details
File: environ (1.45 KB, text/plain)
2023-05-26 06:10 UTC, West Storm
no flags Details


Links
System ID Private Priority Status Summary Last Updated
GNOME Gitlab GNOME libsoup issues 361 0 None opened Crash in `connection_disconnected` on current Fedora flatpak base 2023-08-15 21:05:18 UTC

Description West Storm 2023-05-26 06:09:45 UTC
Version-Release number of selected component:
gnome-calculator-44.0-1.fc38

Additional info:
reporter:       libreport-2.17.9
type:           CCpp
reason:         gnome-calculator killed by SIGSEGV
journald_cursor: s=1f501f01ea5e40de9b05386598433516;i=ef26;b=6d8f3af418c1466e84b220eba835c317;m=2bf461e7c;t=5fc76025faede;x=11a3e443b5e62c53
executable:     /usr/bin/gnome-calculator
cmdline:        /usr/bin/gnome-calculator
cgroup:         0::/user.slice/user-1000.slice/user/app.slice/app-gnome-org.gnome.Calculator-4769.scope
rootdir:        /
uid:            1000
kernel:         6.2.14-300.fc38.x86_64
package:        gnome-calculator-44.0-1.fc38
runlevel:       N 5
backtrace_rating: 4
crash_function: g_hash_table_lookup_node

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 g_hash_table_lookup_node at ../glib/ghash.c:481
 #1 g_hash_table_steal_extended at ../glib/ghash.c:1863
 #2 connection_disconnected at ../libsoup/soup-connection-manager.c:353
 #3 _g_closure_invoke_va at ../gobject/gclosure.c:895
 #6 io_read_ready at ../libsoup/http2/soup-client-message-io-http2.c:471
 #9 g_main_context_iterate.isra.0 at ../glib/gmain.c:4276
 #10 g_main_context_iteration at ../glib/gmain.c:4343
 #11 g_application_run at ../gio/gapplication.c:2573
 #12 calculator_main at ../src/gnome-calculator.vala:356

Comment 1 West Storm 2023-05-26 06:09:49 UTC
Created attachment 1966990 [details]
File: proc_pid_status

Comment 2 West Storm 2023-05-26 06:09:51 UTC
Created attachment 1966991 [details]
File: maps

Comment 3 West Storm 2023-05-26 06:09:52 UTC
Created attachment 1966992 [details]
File: limits

Comment 4 West Storm 2023-05-26 06:09:54 UTC
Created attachment 1966993 [details]
File: open_fds

Comment 5 West Storm 2023-05-26 06:09:55 UTC
Created attachment 1966994 [details]
File: os_info

Comment 6 West Storm 2023-05-26 06:09:57 UTC
Created attachment 1966995 [details]
File: cpuinfo

Comment 7 West Storm 2023-05-26 06:09:59 UTC
Created attachment 1966996 [details]
File: core_backtrace

Comment 8 West Storm 2023-05-26 06:10:01 UTC
Created attachment 1966997 [details]
File: exploitable

Comment 9 West Storm 2023-05-26 06:10:02 UTC
Created attachment 1966998 [details]
File: dso_list

Comment 10 West Storm 2023-05-26 06:10:05 UTC
Created attachment 1966999 [details]
File: backtrace

Comment 11 West Storm 2023-05-26 06:10:07 UTC
Created attachment 1967000 [details]
File: mountinfo

Comment 12 West Storm 2023-05-26 06:10:09 UTC
Created attachment 1967001 [details]
File: environ

Comment 13 Adam Williamson 2023-08-15 20:55:08 UTC
I'm seeing the same thing, frequently, in openQA testing of the current flatpak version running on F39/F40 Silverblue (the flatpak is based on the F38 package).

Comment 14 Adam Williamson 2023-08-15 21:05:19 UTC
Seems kinda most likely to be a libsoup issue(?), so filed https://gitlab.gnome.org/GNOME/libsoup/-/issues/361 .

Comment 15 Fedora Update System 2023-08-25 23:27:29 UTC
FEDORA-2023-2eaa64ab85 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-2eaa64ab85

Comment 16 Fedora Update System 2023-08-26 02:00:34 UTC
FEDORA-2023-2eaa64ab85 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-2eaa64ab85`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-2eaa64ab85

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 17 Fedora Update System 2023-08-26 02:35:01 UTC
FEDORA-2023-a870b296bc has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-a870b296bc`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-a870b296bc

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 18 Fedora Update System 2023-09-01 01:29:25 UTC
FEDORA-2023-2eaa64ab85 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 19 Fedora Update System 2023-09-15 18:40:55 UTC
FEDORA-2023-a870b296bc has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.